#!/bin/bash

mkdir -p output/Atom

rm -f TEMP.1d FILE.1d

MAIN=`ls *_site1.1d`
SETS=`ls *.1d`

#######################################
# Replace the 0 point in the top file #
#######################################
sed '/^ *0\.0 /d' $MAIN > TEMP.1d
echo `cat TEMP.1d | wc -l` > FILE.1d
cat TEMP.1d >> FILE.1d

../Recompute_0.x > TOP_0
rm -f TEMP.1d FILE.1d

######################################################
# Now normalize the sets and compute the derivatives #
######################################################
tail -n1 $MAIN | awk '{ print $2 }' > REFERENCE
for i in $SETS
do
  echo $i
  echo `cat $i | wc -l` > FILE.1d
  # If we are doing the top site, then 
  if [ "$i" == "${MAIN}" ]
  then
#    sed -e "s/^ *0 .*$/0.0 `awk '{ print $1 }' TOP_0`/" $i >> FILE.1d
    sed -e "s/^ *0\.0 .*$/0.0 `awk '{ print $1 }' TOP_0`/" $i >> FILE.1d
  else
    cat $i >> FILE.1d
  fi
  ../Normalize_1D.x
  mv FILE.1d output/Atom/$i
done

###############################################
# Write out 1D corrugation reduction function #
###############################################

cp output/Atom/*_site1.1d FILE.1d
../Make_1Dcorr.x

mv FILE.1d output/Atom/intrep.dat

#rm -f TEMP.1d FILE.1d REFERENCE TOP_0

